import java.applet.Applet;

public class jumpshot extends Applet 
{
    public void init()
    {
        checkVersion ();
        String fullfilename = null;
        String filename     = getParameter( "logfile" );
        if ( filename != null)
            fullfilename = getParameter( "logfiledir" ) + "/" + filename;
        new Mainwin( this, true, false, fullfilename, 0 );
    }

    static public void main( String [] argv )
    {
        String filename;
        int    frame_idx;

        checkVersion ();
        switch ( argv.length ) {
            case 0 :
                filename  = null;
                frame_idx = 0;
                break;
            case 1 :
                filename  = argv[ 0 ];
                frame_idx = 0;
                break;
            case 2 :
                filename  = argv[ 0 ];
                frame_idx = Integer.parseInt( argv[ 1 ] );
                break;
            default :
                System.err.println( "MAIN : "
                                  + "Number of command line arguments is "
                                  + argv.length + " which is more than what "
                                  + " we expected.\n Assume 2 and continue" );
                filename  = argv[ 0 ];
                frame_idx = Integer.parseInt( argv[ 1 ] );
        }
        // debug.SetMessageOn();
        new Mainwin ( null, false, false, filename, frame_idx );
    }
  
    static void checkVersion()
    {
        String vers = System.getProperty ("java.version");
        if ( vers.compareTo ("1.1.6") < 0 )
        {
            System.err.println ( "WARNING: Jumpshot must be run with a 1.1.6 "
                               + "or higher version Java VM");
            System.err.println ("Questions: mpi-maint@mcs.anl.gov");
        }
    }
}
